%define name iwlwifi-4965-ucode
# Don't use last numbers for the version, we provide both -1 and -2 ucode apis
%define version 228.61.2.24
%define release %mkrel 3

Summary: Intel Wireless WiFi Link 4965AGN microcode
Name: 	 %{name}
Version: %{version}
Release: %{release}
Source0: http://intellinuxwireless.org/iwlwifi/downloads/%{name}-%{version}.tgz
License: Proprietary
Group:   System/Kernel and hardware
URL:	 http://intellinuxwireless.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
Obsoletes: iwlwifi-4965-ucode < %version

%description
The files iwlwifi-4965-*.ucode provided in this package are required to be
present on your system in order for the Intel Wireless WiFi Link 4965AGN
driver for Linux (iwl4965/iwlagn) to be able to operate on your system.

%prep
%setup -q

%build

%install
rm -rf %{buildroot}
install -d %{buildroot}/lib/firmware
install -m644 *.ucode %{buildroot}/lib/firmware/
cp README.iwlwifi-4965-ucode LICENSE.iwlwifi-4965-ucode ../.

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc LICENSE.* README.*
/lib/firmware/*.ucode


%changelog
* Fri Jul 07 2017 bb2 <bb2> - 228.61.2.24-3pclos2017
- rebuilt
